/* date_time(文字型) を日付型に変換してセットする。 */
/* date_time(文字型) はUTCの日付を取得するため、date_time(日付型)はMeDaCAのポリシーに合わせてJSTに変換する */
UPDATE src06.hcp_web_access_log SET
    date_time = IF (
    medaca_common.convert_to_date(date_time_org, '%Y-%m-%d %H:%i:%s') IS NULL,
    NULL,
    medaca_common.convert_to_date(date_time_org, '%Y-%m-%d %H:%i:%s') + INTERVAL 9 HOUR
)
WHERE ins_date >= (now() - INTERVAL 1 YEAR);

/* post_evar29(文字型)を日付型に変換してセットする。 */
/* post_evar29(文字型)はUTCの日付を取得するため、post_evar29(日付型)はMeDaCAのポリシーに合わせてJSTに変換する */
UPDATE src06.hcp_web_access_log SET
    post_evar29 = IF (
    medaca_common.convert_to_date(post_evar29_org, '%Y-%m-%dT%H:%i:%s.%fZ') IS NULL,
    NULL,
    medaca_common.convert_to_date(post_evar29_org, '%Y-%m-%dT%H:%i:%s.%fZ') + INTERVAL 9 HOUR
)
WHERE ins_date >= (now() - INTERVAL 1 YEAR);